<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Screening</title>
</head>
<body>

<h2>Screening</h2>

<p>We need it for correct screening special symbols like ', ", \. We use '\' backslash before the symbol we want to screen in js</p>


<script>


    let user = createNewUser();

    // console.log(user.getLogin());
    console.log(user.getAge());
    console.log(user.getPassword());

    function createNewUser() {

        let newUser = {
            firstName: prompt('please enter your first name', 'first name'),
            lastName: prompt('please enter your last name', 'last name'),
            birthday: prompt('please enter your birthday', 'dd.mm.yyyy'),
            getLogin: function () {
                return (this.firstName.charAt(0) + this.lastName).toLowerCase()
            },
            getAge: function () {
                let yearOfBirth = this.birthday.slice(-4);
                let date = new Date();
                let yearCurrent = date.getFullYear();

                return yearCurrent - yearOfBirth;
            },
            getPassword: function () {
                return this.firstName.charAt(0).toUpperCase() + this.lastName.toLowerCase() + this.birthday.slice(-4);

            },
        };


        return newUser;
    }

</script>


</body>
</html>